package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 用户布局配置
 *
 * @company 广州宏天软件股份有限公司
 * @author zengst
 * @since 2021-09-30
 */
@ApiModel(value="PortalUserLayoutConfig对象", description="用户布局配置")
@TableName("portal_user_layout_config")
public class PortalUserLayoutConfig extends BaseModel<PortalUserLayoutConfig> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键")
    @TableId("ID_")
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "布局ID")
    @TableField("LAYOUT_ID_")
    @JsonProperty("layoutId")
    private String layoutId;
    
    @ApiModelProperty(value = "布局配置信息")
    @TableField("CONFIG_CONTENT_")
    @JsonProperty("configContent")
    private String configContent;
    
    @ApiModelProperty(value = "创建者ID")
    @TableField("CREATOR_")
    @JsonProperty("creator")
    private String creator;
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getLayoutId() {
        return layoutId;
    }

    public void setLayoutId(String layoutId) {
        this.layoutId = layoutId;
    }
    public String getConfigContent() {
        return configContent;
    }

    public void setConfigContent(String configContent) {
        this.configContent = configContent;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }


    @Override
    protected Serializable pkVal() {
        return null;
    }

    @Override
    public String toString() {
        return "PortalUserLayoutConfig{" +
            "id=" + id +
            ", layoutId=" + layoutId +
            ", configContent=" + configContent +
            ", creator=" + creator +
        "}";
    }
}
